Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.util
Interface OWLConnection

All Known Implementing Classes:
  OWLConnectionImpl

public interface OWLConnection

Represents a single connection to some implementation provider. An OWLOntology is unique with respect to its logical URI within a connection.

Method Summary
`void` | `applyChanges(List changeList)` Applies the list of changes to the ontologies loaded by this connection.
`void` | `close()` Closes this connection, i.e. closes all open ontologies.
`OWLOntology` | `createOntology(URI physicalURI, URI logicalURI)` Creates an OWLOntology with a given physical and logical URI.
`OWLOntology` | `createOWLOntology(URI physicalURI, URI logicalURI)` Deprecated.
`Set` | `getAllLogicalURIs()` Returns the set of logical URIs used as identifiers of the ontologies loaded by this connection.
`Set` | `getAllOntologies()` Returns the set of OWL Ontologies that are loaded by this OWLConnection.
`ChangeVisitor` | `getChangeVisitor(OWLOntology o)` Given an ontology, returns a change visitor that will enact changes over that ontology.
`OWLDataFactory` | `getDataFactory()`
`OWLOntology` | `getOntologyLogical(URI logicalURI)` Returns an OWLOntology with given logical URI.
`OWLOntology` | `getOntologyPhysical(URI physicalURI)`
`Set` | `getOpenOWLOntologies()` Deprecated.
`Map` | `getParameters()` Returns the parameters of this connection.
`boolean` | `isOpen()` Returns `true` if this connection is open, i.e. atleast one ontology is open.
`OWLOntology` | `loadOntologyPhysical(URI physicalURI)` Loads an OWLOntology with given physical URI (in fact an URL), somewhere on the web or in the file system.
`void` | `notifyOntologyDeleted(OWLOntology ontology)` Notifies the connection that the OWLOntology has been deleted.
`OWLOntology` | `openOntologyLogical(URI logicalURI)` Deprecated.
`OWLOntology` | `openOntologyPhysical(URI physicalURI)` Deprecated.
`OWLOntology` | `reloadOntologyPhysical(URI physicalURI)` Reloads an OWLOntology with given physical URI (in fact an URL), somewhere on the web or in the file system.

Method Detail

### getDataFactory

    public OWLDataFactory getDataFactory()

### getParameters

    public Map getParameters()
                      throws OWLException

  Returns the parameters of this connection.

  Returns:
    the parameters of this connection
    `OWLException`

### close

    public void close()
               throws OWLException

  Closes this connection, i.e. closes all open ontologies.

    `OWLException`

### isOpen

    public boolean isOpen()
                   throws OWLException

  Returns `true` if this connection is open, i.e. atleast one ontology is open.

  Returns:
    `true` if the connection is open
    `OWLException`

### openOntologyPhysical

    public OWLOntology openOntologyPhysical(URI physicalURI)
                                     throws OWLException

  Deprecated.

  Opens an OWLOntology with given physical URI (in fact an URL), somewhere on the web or in the file system. In order to learn how to open a local file, just try to open a file with your favorite web browser. On Windows machines the syntax follows the pattern: file:///drive:/directory/file

  Parameters:
    `physicalURI` - the physical URI of the OWLOntology
    `OWLException`

### getOntologyPhysical

    public OWLOntology getOntologyPhysical(URI physicalURI)
                                    throws OWLException

  Returns:
    Ontology with the given phyiscal URI. Will try to load the ontology, if the ontology has not been opened.
    `OWLException`

### loadOntologyPhysical

    public OWLOntology loadOntologyPhysical(URI physicalURI)
                                     throws OWLException

  Loads an OWLOntology with given physical URI (in fact an URL), somewhere on the web or in the file system. In order to learn how to open a local file, just try to open a file with your favorite web browser. On Windows machines the syntax follows the pattern: file:///drive:/directory/file

  Parameters:
    `physicalURI` - the physical URI of the OWLOntology
    `OWLException`

### reloadOntologyPhysical

    public OWLOntology reloadOntologyPhysical(URI physicalURI)
                                       throws OWLException

  Reloads an OWLOntology with given physical URI (in fact an URL), somewhere on the web or in the file system. Will not safe any changes to the ontology before the reload occurs. In order to learn how to open a local file, just try to open a file with your favorite web browser. On Windows machines the syntax follows the pattern: file:///drive:/directory/file

  Parameters:
    `physicalURI` - the physical URI of the OWLOntology
    `OWLException`

### openOntologyLogical

    public OWLOntology openOntologyLogical(URI logicalURI)
                                    throws OWLException

  Deprecated.

  Opens an OWLOntology with given logical URI. The logical URI is the default namespace of an ontology and also used to locate an ontology, e.g. in a database of ontologies

  Parameters:
    `logicalURI` - the logical URI of the OWLOntology
    `OWLException`

### getOntologyLogical

    public OWLOntology getOntologyLogical(URI logicalURI)
                                   throws OWLException

  Returns an OWLOntology with given logical URI. The logical URI is the default namespace of an ontology and also used to locate an ontology, e.g. in a database of ontologies

  Parameters:
    `logicalURI` - the logical URI of the OWLOntology
    `OWLException`

### createOWLOntology

    public OWLOntology createOWLOntology(URI physicalURI,
                                         URI logicalURI)
                                  throws OWLException

  Deprecated.

  Creates an OWLOntology with a given physical and logical URI. Use createOntology instead.

  Parameters:
    `physicalURI` - the physical URI of the OWLOntology
    `logicalURI` - the logical URI of the OWLOntology
    `OWLException`

### createOntology

    public OWLOntology createOntology(URI physicalURI,
                                      URI logicalURI)
                               throws OWLException

  Creates an OWLOntology with a given physical and logical URI.

  Parameters:
    `physicalURI` - the physical URI of the OWLOntology
    `logicalURI` - the logical URI of the OWLOntology
    `OWLException`

### notifyOntologyDeleted

    public void notifyOntologyDeleted(OWLOntology ontology)
                               throws OWLException

  Notifies the connection that the OWLOntology has been deleted.

    `OWLException`

### getAllOntologies

    public Set getAllOntologies()
                         throws OWLException

  Returns the set of OWL Ontologies that are loaded by this OWLConnection.

  Returns:
    the set of OWLOntology objects represented by this OWLConnection
    `OWLException`

### getAllLogicalURIs

    public Set getAllLogicalURIs()
                          throws OWLException

  Returns the set of logical URIs used as identifiers of the ontologies loaded by this connection.

  Returns:
    Set(URI)
    `OWLException`

### getOpenOWLOntologies

    public Set getOpenOWLOntologies()

  Deprecated.

  Returns the set of all open OWLOntology objects.

  Returns:
    the set of all open OWLOntology objects

### applyChanges

    public void applyChanges(List changeList)
                      throws OWLException

  Applies the list of changes to the ontologies loaded by this connection.

  Parameters:
    `changeList` - list of changes to the models in the connection
    `OWLException`

### getChangeVisitor

    public ChangeVisitor getChangeVisitor(OWLOntology o)
                                   throws OWLException

  Given an ontology, returns a change visitor that will enact changes over that ontology. May throw an exception if unable to provide such an implementation.

    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb